name: entfrachten
channels:
  - conda-forge
  - defaults
dependencies:
  - python=3.9
  - dill
  - matplotlib
  - numpy=1.26.3
  - pandas=2.2.2
  - geopandas=1.0.1
  - folium
  - mapclassify
  - xarray=2024.1.1
  - openpyxl
  - plotly
  - seaborn
  - importnb
  - papermill=2.5.0
  - scipy
  - tqdm
  - ipywidgets
  - sqlalchemy
  - psycopg2
  - networkx=3.2.1
  - ipykernel
  - pythonnet=3.0.3
  - pip
  - pip:
      - mikeio==2.1.2
      - mikeio1d==0.9.1
      - https://github.com/DHI/mikepluspy/archive/refs/tags/v2024.0-latest.zip
      - bayes-optim==0.3.0
      - hydroeval
      - nevergrad==1.0.5
      # installs content of py_package in edit mode, so that changes to it are reflected without reinstalling
      - -e py_package
